## sticky 0.3.3

=== DESCRIPTION ===
Package: sticky
Type: Package
Title: Persist Object Attributes Across Data Operations
Description: In base R, object attributes are lost when objects are modified by
    common data operations such as subset, filter, slice, append, extract
    etc. This packages allows objects to be marked as 'sticky' and have
    resilient attributes that persist during these operations or when inserted
    into or extracted from recursive (i.e. list-or table-like) objects.
Version: 0.3.3
Date: 2016-09-25
Authors@R: c(
      person("Christopher", "Brown", , "chris.brown@decisionpatterns.com", c("aut", "cre") ),
      person("Decision Patterns", role = "cph")
    )
License: GPL-2 | file LICENSE
URL: https://github.com/decisionpatterns/sticky
        http://www.decisionpatterns.com
BugReports: https://github.com/decisionpatterns/sticky/issues
Depends: R (>= 3.1.0)
Imports: methods
Suggests: magrittr (>= 1.5), testthat (>= 0.10.0), data.table (>=
        1.9.6), dplyr (>= 0.4.3), knitr, rmarkdown
LazyData: TRUE
Collate: 'init.R' 'sticky.R' 'append.R' 'extract1.R' 'print.R'
        'subset.R' 'zzz.R'
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-26 09:52:35 UTC; cbrown
Author: Christopher Brown [aut, cre],
  Decision Patterns [cph]
Maintainer: Christopher Brown <chris.brown@decisionpatterns.com>
Repository: CRAN
Date/Publication: 2016-09-26 14:24:04

## sticky 0.0.1+git20201214

=== debian/changelog ===
sticky (0.0.1+git20201214-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 30 Mar 2021 15:24:02 -0400

sticky (0.0.1) ulyana; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jan 2016 03:21:00 +0100

=== debian/control ===
Source: sticky
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
    debhelper (>= 9),
    dh-python,
Standards-Version: 3.9.5

Package: sticky
Architecture: all
Depends:
    gir1.2-glib-2.0,
    gir1.2-gtk-3.0 (>= 3.22.0),
    gir1.2-xapp-1.0 (>= 1.6.0),
    gir1.2-gspell-1,
    python3,
    python3-gi,
    python3-xapp (>= 1.6.0),
    xfce4-panel (>= 4.14.1-2~),
    ${misc:Depends},
    ${python3:Depends}
Description: Sticky Notes app
    This package contains the Sticky Notes app, which allows the quick creation of notes through an xapp status icon.

## sticky 0.0.1+git20210504

=== debian/changelog ===
sticky (0.0.1+git20210504-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 09:36:34 -0400

## sticky 0.3.6

=== DESCRIPTION ===
Package: sticky
Type: Package
Title: Persist Attributes Across Data Operations
Description: In base R, object attributes are lost when objects are modified by
    common data operations such as subset, filter, slice, append, extract
    etc. This packages allows objects to be marked as 'sticky' and have
    attributes persisted during these operations or when inserted
    into or extracted from recursive (i.e. list- or table-like) objects.
Version: 0.3.6
Date: 2016-10-03
Authors@R: c(
      person("Christopher", "Brown", , "chris.brown@decisionpatterns.com", c("aut", "cre") ),
      person("Decision Patterns", role = "cph")
    )
License: GPL-2 | file LICENSE
URL: https://github.com/decisionpatterns/sticky
        http://www.decisionpatterns.com
BugReports: https://github.com/decisionpatterns/sticky/issues
Depends: R (>= 3.1.0)
Imports: methods
Suggests: magrittr (>= 1.5), testthat (>= 0.10.0), data.table (>=
        1.9.6), dplyr (>= 0.4.3), knitr, rmarkdown
LazyData: TRUE
Collate: 'init.R' 'sticky.R' 'append.R' 'extract1.R' 'print.R'
        'subset.R' 'zzz.R'
VignetteBuilder: knitr
RoxygenNote: 5.0.1.9000
NeedsCompilation: no
Packaged: 2016-10-03 23:52:48 UTC; cbrown
Author: Christopher Brown [aut, cre],
  Decision Patterns [cph]
Maintainer: Christopher Brown <chris.brown@decisionpatterns.com>
Repository: CRAN
Date/Publication: 2016-10-04 15:13:15

## sticky 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,8 +6,8 @@
     etc. This packages allows objects to be marked as 'sticky' and have
     attributes persisted during these operations or when inserted
     into or extracted from recursive (i.e. list- or table-like) objects.
-Version: 0.3.6
-Date: 2016-10-03
+Version: 0.4.0
+Date: 2016-10-31
 Authors@R: c(
       person("Christopher", "Brown", , "chris.brown@decisionpatterns.com", c("aut", "cre") ),
       person("Decision Patterns", role = "cph")
@@ -22,13 +22,13 @@
         1.9.6), dplyr (>= 0.4.3), knitr, rmarkdown
 LazyData: TRUE
 Collate: 'init.R' 'sticky.R' 'append.R' 'extract1.R' 'print.R'
-        'subset.R' 'zzz.R'
+        'subset.R' 'utils.R' 'zzz.R'
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1.9000
 NeedsCompilation: no
-Packaged: 2016-10-03 23:52:48 UTC; cbrown
+Packaged: 2016-10-31 23:43:25 UTC; cbrown
 Author: Christopher Brown [aut, cre],
   Decision Patterns [cph]
 Maintainer: Christopher Brown <chris.brown@decisionpatterns.com>
 Repository: CRAN
-Date/Publication: 2016-10-04 15:13:15
+Date/Publication: 2016-11-01 11:07:41

## sticky 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -6,8 +6,8 @@
     etc. This packages allows objects to be marked as 'sticky' and have
     attributes persisted during these operations or when inserted
     into or extracted from recursive (i.e. list- or table-like) objects.
-Version: 0.4.0
-Date: 2016-10-31
+Version: 0.5.2
+Date: 2017-03-19
 Authors@R: c(
       person("Christopher", "Brown", , "chris.brown@decisionpatterns.com", c("aut", "cre") ),
       person("Decision Patterns", role = "cph")
@@ -24,11 +24,11 @@
 Collate: 'init.R' 'sticky.R' 'append.R' 'extract1.R' 'print.R'
         'subset.R' 'utils.R' 'zzz.R'
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1.9000
+RoxygenNote: 6.0.1.9000
 NeedsCompilation: no
-Packaged: 2016-10-31 23:43:25 UTC; cbrown
+Packaged: 2017-03-20 05:46:27 UTC; cbrown
 Author: Christopher Brown [aut, cre],
   Decision Patterns [cph]
 Maintainer: Christopher Brown <chris.brown@decisionpatterns.com>
 Repository: CRAN
-Date/Publication: 2016-11-01 11:07:41
+Date/Publication: 2017-03-20 06:24:39 UTC

## sticky 0.5.6.1

=== DESCRIPTION ===
Package: sticky
Type: Package
Title: Persist Attributes Across Data Operations
Description: In base R, object attributes are lost when objects are modified by
    common data operations such as subset, filter, slice, append, extract
    etc. This packages allows objects to be marked as 'sticky' and have
    attributes persisted during these operations or when inserted
    into or extracted from list-like or table-like objects.
Version: 0.5.6.1
Date: 2020-03-15
Authors@R: c(
      person("Christopher", "Brown", , "chris.brown@decisionpatterns.com", c("aut", "cre") ),
      person("Decision Patterns", role = "cph")
    )
License: GPL-2 | file LICENSE
URL: https://github.com/decisionpatterns/sticky
        http://decisionpatterns.com
BugReports: https://github.com/decisionpatterns/sticky/issues
Depends: R (>= 3.1.0)
Imports: methods
Suggests: magrittr (>= 1.5), testthat (>= 0.10.0), data.table (>=
        1.9.6), tibble (>= 1.3.3), knitr, rmarkdown
LazyData: TRUE
Collate: 'init.R' 'sticky.R' 'append.R' 'extract1.R' 'print.R'
        'subset.R' 'utils.R' 'zzz.R'
VignetteBuilder: knitr
RoxygenNote: 7.0.2
Repository: CRAN
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2020-03-15 11:17:30 UTC; cbrown
Author: Christopher Brown [aut, cre],
  Decision Patterns [cph]
Maintainer: Christopher Brown <chris.brown@decisionpatterns.com>
Date/Publication: 2020-03-16 17:40:02 UTC

## sticky 1.2

=== debian/changelog ===
sticky (1.2-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 20 Jul 2021 23:20:39 -0400

sticky (1.2) uma; urgency=medium

  [ Stephen Collins ]
  * Notes: if a time is provided, pass that to present_with_time() instead.

  [ Michael Webster ]
  * sticky.py: Fix a couple of positioning problems.

  [ Stephen Collins ]
  * Dummy window: always make sure it's moved off the edge of the screen.
  * Gnote import: escape the '#' character during the import process.
  * Buffer: attempt to detect and fix unescaped '#' characters.
  * buffer: don't check the inserted text for a link on an idle callback.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jul 2021 11:34:42 +0100

sticky (1.1) uma; urgency=medium

  [ Stephen Collins ]
  * Revert "tray: Fix hiding/showing notes on first click"
  * Make sure the notes are visible before calling present_with_time()
  * gitignore: add generated .mo files
  * Tray: fix notes getting 'stuck' in unraised state (I hope)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 14:31:37 +0100

sticky (1.0) uma; urgency=medium

  [ Stephen Collins ]
  * factor out the on-hover event box for re-use elsewhere
  * Manager: allow the user to change the group name by clicking a button
  * file handler: make sure to save when creating a new group
  * Don't crash when the default and/or visible group is deleted.
  * Manager: add context menu to the group items and some simplification.
  * Add setting for default font (family and size)
  * manager: remove border from the edit button
  * Don't show dummy window in the wl when notes are hidden via status icon
  * App: always use the dummy window as the transient parent for the notes.
  * hoverbox: fix 'stuck' child when window is partly obstructed & simplify
  * Don't ever hide the dummy window
  * app: move a couple class variable inits to __init__() for consistency.
  * Settings: show an entry in the window list for the settings window.
  * notes: fix inconsistent titlebar context menu
  * buffer: when inserting, don't try to extend tags that don't have a name.
  * Notes: make the format menu button a Gtk.MenuButton and attach the menu.

  [ Clement Lefebvre ]
  * Depend on Xapp 2.2.0
  * confirm: Use YES/NO buttons
  * Dialogs: Don't use Gtk.STOCK
  * Add project files to facilitate translations and testing
  * Fix exception in generate_previews()
  * gnote: Don't import templates
  * Switch default color to Yellow
  * tray: Replace Exit with Quit
  * Keyboard shortcuts: Remove group title
  * Enable tray by default
  * tray: Remove management features
  * Fix missing l18n
  * Remove unused function
  * tray: Move groups in main menu, show active group with a radio button.

  [ Stephen Collins ]
  * manager.py: remove unused import
  * Make all dialogs transient for the dummy window to prevent warnings.
  * Remove some print statements that are no longer needed
  * Notes: Make deleting more explicit
  * Fix wrong argument from commit 87cecfe
  * first run: don't create a new note and group when importing from gnote.
  * Don't show notes in taskbar by default.
  * note: always use present_with_time to raise the notes instead of raise_
  * buffer: don't extend the header tag across a newline

  [ Clement Lefebvre ]
  * Show the manager when run from the menu
  * Rework autostart and manager mode
  * Rework preferences
  * Rework group selection
  * Edit msgids
  * Fix argument error in clean_up()
  * manager: remove obsolete menu items
  * backup: Fix wrong variable
  * backup: Change default filename
  * Add an about dialog
  * tray: Fix hiding/showing notes on first click
  * Add a setting to hide the main window
  * Use a generic name
  * Always show the manager when tray is disabled
  * settings: Separate autostart into its own section
  * Disable automatic backups by default
  * Rework backups
  * backups: Add a scrolledwindow

  [ Stephen Collins ]
  * update .gitignore: add .log file

  [ Clement Lefebvre ]
  * Fix window mapping
  * note: Fix rename tooltip
  * note: Style formatting items
  * note: Fix highlight menu item style on hover
  * note: Separate text-format and note colors into different menus

  [ Stephen Collins ]
  * Format: add Fixed width (monospace) format tag w/ shortcut and menu item

  [ Clement Lefebvre ]
  * manager: Focus notes when the tree is clicked
  * note: Add little color squares in front of color name
  * Don't put unicode in the source code
  * l10n: Update POT
  * l10n: Update POT
  * note: Fix icons
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Jun 2021 15:44:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Depends:
     gir1.2-glib-2.0,
     gir1.2-gtk-3.0 (>= 3.22.0),
-    gir1.2-xapp-1.0 (>= 1.6.0),
+    gir1.2-xapp-1.0 (>= 2.2.0),
     gir1.2-gspell-1,
     python3,
     python3-gi,
-    python3-xapp (>= 1.6.0),
-    xfce4-panel (>= 4.14.1-2~),
+    python3-xapp (>= 2.2.0),
     ${misc:Depends},
     ${python3:Depends}
 Description: Sticky Notes app
-    This package contains the Sticky Notes app, which allows the quick creation of notes through an xapp status icon.
+    This package contains the Sticky Notes app, which allows the quick creation 
+    of notes through an xapp status icon.

## sticky 1.2.1

=== debian/changelog ===
sticky (1.2.1) uma; urgency=medium

  [ Stephen Collins ]
  * Make the dummy window transparent
  * common.py: center dialogs on the screen.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Nov 2021 12:29:42 +0000

## sticky 1.8

=== debian/changelog ===
sticky (1.8-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 31 Jan 2022 10:31:11 -0500

sticky (1.8) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:58:11 +0000

sticky (1.7) una; urgency=medium

  [ Stephen Collins ]
  * buffer: fix the condition for disabling a format tag when inserting text

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 11:02:01 +0000

sticky (1.6) una; urgency=medium

  [ haggen88 ]
  * update sticky.svg (#48)

  [ Michael Webster ]
  * Make sure new notes get raised as well as focused. (#52)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 12:46:07 +0000

sticky (1.5) una; urgency=medium

  [ Stephen Collins ]
  * Fix some issues with toggling text scale tags.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Dec 2021 11:49:28 +0000

sticky (1.4) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:48:14 +0000

sticky (1.3) una; urgency=medium

  [ Stephen Collins ]
  * Make the dummy window transparent

  [ Musa Ünal ]
  * Update README.md (#37)

  [ Stephen Collins ]
  * Tray: open the manager on middle click
  * manager: toggle rather than open on tray middle click
  * Tray: add descriptions of the left- and middle-click actions to tooltip

  [ Musa Unal ]
  * Add overwrite consent

  [ Stephen Collins ]
  * manager: simplify new group creation process a little
  * new group confirm dialog: reword slightly
  * common.py: center dialogs on the screen.
  * Remove unused file
  * Manager: add the ability to search notes and focus them by double-click.
  * search: use lowercase to match and remove tags from the text

  [ JosephMcc ]
  * manager: Move the search into a GtkSearchBar

  [ Stephen Collins ]
  * manager: add ctrl+f keybinding to begin a search

  [ JosephMcc ]
  * manager: Clean up some styling in the sidebar
  * notes: Add some css to style the note decorations

  [ Stephen Collins ]
  * remove commented line that accidentally made it into a previous commit
  * manager: use the correct keybinding for opening the search
  * Notes: prevent ugly border in some themes
  * manager: disable the remove group menu items when only 1 group exists
  * manager: set remove note button insensitive when no notes are selected
  * Notes: correct color button tooltip text
  * Manager: display title at top of the note preview rather than below it
  * manager: fix error when manager is not initialized
  * Add a few text size formatting tags.
  * Shortcuts window: Split into groups and add text size shortcuts

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Nov 2021 12:14:58 +0000

=== debian/control ===
--- 
+++ 
@@ -21,5 +21,5 @@
     ${misc:Depends},
     ${python3:Depends}
 Description: Sticky Notes app
-    This package contains the Sticky Notes app, which allows the quick creation 
-    of notes through an xapp status icon.
+ This package contains the Sticky Notes app, which allows the quick creation of 
+ notes through an xapp status icon.

## sticky 1.12

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/sticky-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/sticky.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

=== debian/changelog ===
sticky (1.12) vanessa; urgency=medium

  [ Stephen Collins ]
  * buffer, do_insert_text: always reassign location text iter to former pos

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:26:38 +0200

sticky (1.11) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:28:54 +0200

sticky (1.10) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 11:26:47 +0200

sticky (1.9) vanessa; urgency=medium

  [ circuit10 ]
  * Fix instructions for non-Debain OSes

  [ SwampRabbit ]
  * Update control

  [ Stephen Collins ]
  * buffer: change the mouse cursor when hovering a check box

  [ scott@murphys.place ]
  * Center confim dialog on parent window if set
  * Skip confirm dialog when closing empty note.

  [ 63BeetleSmurf ]
  * Tweak conditions order

  [ Scott Murphy ]
  * Replace random color option with cycle colors

  [ Stephen Collins ]
  * note_buffer.py: Fix a typo in a comment
  * Note: add a 1-second delay before triggering an update for some changes
  * new note: adjust function call name for previous commit
  * use get_char_count() not get_internal_markup() to check if note is empty

  [ Secret-chest ]
  * Fix some grammar
  * Fix more grammar

  [ Stephen Collins ]
  * Buffer: rework get_internal_markup() to get around a memory leak in gtk.
  * Note: cache the internal markup to increase performance on some updates.
  * Add duplicate note functionality
  * checkbox: make sure to move the cursor window when the checkbox moves.

  [ JosephMcc ]
  * Restyle the status icon a bit

  [ 63BeetleSmurf ]
  * Position new notes relative to their parent.

  [ sulincix ]
  * Add new note if empty on status clicked
  * Add preferences menuitem to status icon

  [ 63BeetleSmurf ]
  * Fix new notes opening over another.

  [ Stephen Collins ]
  * note.get_info: also used cached height/width

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Jun 2022 09:06:57 +0200

## sticky 1.14

=== debian/changelog ===
sticky (1.14) vera; urgency=medium

  [ Stephen Collins ]
  * Buffer: fix an issue where pasted text sometimes gets jumbled
  * Buffer: only override the view's motion handler when not selecting text
  * Buffer: On insert, don't continue a link through a link-ending character

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Jan 2023 16:37:13 +0000

sticky (1.13) vanessa; urgency=medium

  [ Michael Webster ]
  * Add github workflow.

  [ Stephen Collins ]
  * checkbox: Fix cursor not changing on hover when checkboxes are 1st added

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:33:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: sticky
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
     debhelper (>= 9),
-    dh-python,
+    dh-python
 Standards-Version: 3.9.5
 
 Package: sticky

## sticky 1.15

=== debian/changelog ===
sticky (1.15) victoria; urgency=medium

  [ Matt ]
  * Update sticky-symbolic.svg

  [ hduelme ]
  * replace equality None check with identity None check

  [ Ziyang ]
  * update license content to GPLv2 (#97)

  [ hduelme ]
  * remove redundant parentheses

  [ Fatih Altun ]
  * Fix new_note parameter (#77)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 Jun 2023 11:16:58 +0100

## sticky 1.16

=== debian/changelog ===
sticky (1.16) victoria; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:01:35 +0100

## sticky 1.17

=== debian/changelog ===
sticky (1.17) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:18:53 +0200

## sticky 1.18

=== debian/changelog ===
sticky (1.18) virginia; urgency=medium

  [ Stephen Collins ]
  * Switch build to meson
  * Add dbus service file
  * Add a dbus interface for creating new notes and toggling visibility
  * README.md: update to reflect recent changes.

  [ haggen88 ]
  * update icon (#105)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Nov 2023 17:30:59 +0000

## sticky 1.19

=== debian/changelog ===
sticky (1.19) virginia; urgency=medium

  * note_buffer: Don't use the length variable
  * l10n: Update translations
  * Drop generate_desktop_files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:59:28 +0000

## sticky 1.20

=== debian/changelog ===
sticky (1.20) wilma; urgency=medium

  [ Bobby Rong ]
  * meson: Various fixes (#118)

  [ carlosmintfan ]
  * Don't use python3.10 code (#124)

  [ Himadri Sekhar Basu ]
  * Fix debian packaging and lintian issues (#121)

  [ Scott Murphy ]
  * Add start position option.

  [ Clement Lefebvre ]
  * Refactor position key values

  [ Scott Murphy ]
  * Add command line options.

  [ Clement Lefebvre ]
  * Fix regression in previous commit
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Jun 2024 13:49:35 +0100

## sticky 1.21

=== debian/changelog ===
sticky (1.21) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:54:09 +0100

## sticky 1.22

=== debian/changelog ===
sticky (1.22) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:40:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
-    debhelper (>= 9),
-    dh-python
-Standards-Version: 3.9.5
+    debhelper-compat (= 12),
+    dh-python,
+    python3,
+    meson (>=0.55)
+Standards-Version: 4.6.0
 
 Package: sticky
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

%:
	dh $@ --with=python3

# Inject version number in the code
override_dh_installdeb:
	dh_installdeb
	for pkg in $$(dh_listpackages -i); do \
		find debian/$$pkg -type f -exec sed -i -e s/__DEB_VERSION__/$(DEB_VERSION)/g {} +; \
	done

## sticky 1.23

=== debian/changelog ===
sticky (1.23) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:52:06 +0000

## sticky 1.24

=== debian/changelog ===
sticky (1.24) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:13:29 +0000

## sticky 1.24+xanmian~25.01.22

=== debian/changelog ===
sticky (1.24+xanmian~25.01.22) bookworm; urgency=medium

  * Optimized for Xanmian

 -- Juan Sánchez <contact@xanmian.com>  Mon, 20 Jan 2025 11:05:00 +0100

## sticky 1.25

=== debian/changelog ===
sticky (1.25) zara; urgency=medium

  [ gbygrave ]
  * Add DBus control to reload note contents from file. (#135)

  [ David Guest ]
  * Fixed regression in dbus NewNote with start position (#143)

  [ Dereified ]
  * Allow stickies to be created under Wayland. (#146)

  [ Clement Lefebvre ]
  * Allow the Gtk theme to define a decoration radius

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Jul 2025 16:44:34 +0200

## sticky 1.26

=== debian/changelog ===
sticky (1.26) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:31:00 +0200

## sticky 1.27

=== debian/changelog ===
sticky (1.27) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 17:59:17 +0200

## sticky 1.28

=== debian/changelog ===
sticky (1.28) zena; urgency=medium

  [ Stephen Collins ]
  * sticky.py: ensure new notes don't get placed off-screen or over a panel.
  * Don't segfault when opening and closing the status icon context menu.
  * get_internal_markup(): don't skip a tag due to removing it from a list.

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Nov 2025 15:26:19 +0000

## sticky 1.29

=== debian/changelog ===
sticky (1.29) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:02:26 +0000

## sticky 1.30

=== debian/changelog ===
sticky (1.30) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:19:17 +0000
